-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--


if not exists (select name from sysobjects where name = 'PS_WLSTORE')
CREATE  TABLE PS_WLSTORE(
ID DECIMAL(38,0) NOT NULL,
TYPE DECIMAL(38,0),
HANDLE DECIMAL(38,0),
RECORD IMAGE)
;


if not exists (select name from sysobjects where name = 'LSW_SYSTEM')
CREATE  TABLE LSW_SYSTEM(
SYSTEM_ID DECIMAL(38,0) NOT NULL,
NAME NVARCHAR(64) NOT NULL,
DESCRIPTION NTEXT,
ARCHIVED DATETIME,
VERSION DECIMAL(38,0),
LAST_MODIFIED_BY_USER_ID DECIMAL(38,0),
LAST_MODIFIED DATETIME)
;


if not exists (select name from sysobjects where name = 'LSW_TRACKING_GROUP')
CREATE  TABLE LSW_TRACKING_GROUP(
TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
NAME NVARCHAR(64) NOT NULL,
DESCRIPTION NTEXT,
ARCHIVED DATETIME,
VERSION DECIMAL(38,0),
LAST_MODIFIED_BY_USER_ID DECIMAL(38,0),
LAST_MODIFIED DATETIME,
TABLE_ID DECIMAL(38,0),
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TRACKING_POINT')
CREATE  TABLE LSW_TRACKING_POINT(
TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
NAME NVARCHAR(600) NOT NULL,
DESCRIPTION NTEXT,
ARCHIVED DATETIME,
VERSION DECIMAL(38,0),
LAST_MODIFIED_BY_USER_ID DECIMAL(38,0),
LAST_MODIFIED DATETIME,
TYPE NVARCHAR(50),
LOCAL_PROCESS_GUID NVARCHAR(64),
PROCESS_ITEM_ID NVARCHAR(100),
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TRACKED_FIELD')
CREATE  TABLE LSW_TRACKED_FIELD(
TRACKED_FIELD_ID DECIMAL(38,0) NOT NULL,
TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
NAME NVARCHAR(64) NOT NULL,
DESCRIPTION NTEXT,
FIELD_TYPE DECIMAL(2, 0) NOT NULL,
ARCHIVED DATETIME,
COLUMN_ID DECIMAL(38,0),
ALLOCATED DATETIME,
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TRACKED_FIELD_USE')
CREATE  TABLE LSW_TRACKED_FIELD_USE(
TRACKED_FIELD_USE_ID DECIMAL(38,0) NOT NULL,
TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
TRACKED_FIELD_ID DECIMAL(38,0) NOT NULL,
ARCHIVED DATETIME,
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TIMING_INTERVAL')
CREATE  TABLE LSW_TIMING_INTERVAL(
TIMING_INTERVAL_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
IS_AUTO NCHAR(1) DEFAULT 'T' NOT NULL,
NAME NVARCHAR(800) NOT NULL,
DESCRIPTION NTEXT,
START_BOUND DECIMAL(2, 0) NOT NULL,
END_BOUND DECIMAL(2, 0) NOT NULL,
ARCHIVED DATETIME,
VERSION DECIMAL(38,0),
LAST_MODIFIED_BY_USER_ID DECIMAL(38,0),
LAST_MODIFIED DATETIME)
;


if not exists (select name from sysobjects where name = 'LSW_TIMING_INTERVAL_BOUND')
CREATE  TABLE LSW_TIMING_INTERVAL_BOUND(
TIMING_INTERVAL_BOUND_ID DECIMAL(38,0) NOT NULL,
TIMING_INTERVAL_ID DECIMAL(38,0) NOT NULL,
TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
BOUND DECIMAL(2, 0) NOT NULL,
ARCHIVED DATETIME,
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TASK')
CREATE  TABLE LSW_TASK(
TASK_ID DECIMAL(38,0) NOT NULL,
FUNCTIONAL_TASK_ID DECIMAL(38,0) NOT NULL,
IS_INSTANCE NCHAR(1) DEFAULT 'F' NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
SYSTEM_USER_ID NVARCHAR(64),
SYSTEM_TASK_ID NVARCHAR(64),
SYSTEM_FUNCTIONAL_TASK_ID NVARCHAR(64),
BPD_NAME NVARCHAR(64),
STARTING_PROCESS_ID NVARCHAR(2000),
STARTING_PROCESS_SNAPSHOT_ID UNIQUEIDENTIFIER,
ACTIVITY_NAME NVARCHAR(580),
CREATED_BY_PROCESS_ITEM_ID NVARCHAR(64),
CREATION_TIME DATETIME,
START_TIME DATETIME,
END_TIME DATETIME,
STATUS DECIMAL(38,0),
ASSIGNED_GROUP_ID NVARCHAR(261),
SNAPSHOT_ID UNIQUEIDENTIFIER,
PROJECT_ID UNIQUEIDENTIFIER,
MAX_STEP DECIMAL(38,0) DEFAULT 0)
;


if not exists (select name from sysobjects where name = 'LSW_TIMING_INTERVAL_VALUE')
CREATE  TABLE LSW_TIMING_INTERVAL_VALUE(
TIMING_INTERVAL_VALUE_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
TIMING_INTERVAL_ID DECIMAL(38,0) NOT NULL,
FUNCTIONAL_TASK_ID DECIMAL(38,0) NOT NULL,
START_TASK_ID DECIMAL(38,0) NOT NULL,
START_TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
START_TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
START_TRACKING_POINT_VALUE_ID DECIMAL(38,0) NOT NULL,
START_TIME DATETIME,
END_TASK_ID DECIMAL(38,0) NOT NULL,
END_TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
END_TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
END_TRACKING_POINT_VALUE_ID DECIMAL(38,0) NOT NULL,
END_TIME DATETIME,
DURATION DECIMAL(38,0) NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_TRACKING_POINT_VALUE')
CREATE  TABLE LSW_TRACKING_POINT_VALUE(
TRACKING_POINT_VALUE_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
TRACKING_GROUP_ID DECIMAL(38,0) NOT NULL,
TRACKING_POINT_ID DECIMAL(38,0) NOT NULL,
TASK_ID DECIMAL(38,0) NOT NULL,
FUNCTIONAL_TASK_ID DECIMAL(38,0) NOT NULL,
TIME_STAMP DATETIME,
STEP_NUMBER DECIMAL(38,0),
SNAPSHOT_ID UNIQUEIDENTIFIER)
;


if not exists (select name from sysobjects where name = 'LSW_PRI_KEY')
CREATE  TABLE LSW_PRI_KEY(
TABLE_ID NVARCHAR(64) NOT NULL,
HIGH_KEY DECIMAL(38,0) NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_LOAD_TRACE')
CREATE  TABLE LSW_LOAD_TRACE(
LOAD_TRACE_ID DECIMAL(38,0) NOT NULL,
SYNCHRONIZATION_EUID NVARCHAR(64) NOT NULL,
LOAD_TYPE DECIMAL(2, 0) NOT NULL,
TIME_RECEIVED DATETIME NOT NULL,
TIME_VALIDATED DATETIME,
TIME_LOADED DATETIME,
TIME_DELETED DATETIME,
TIME_REQUEUED DATETIME,
STATUS DECIMAL(2, 0) NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_VIEW')
CREATE  TABLE LSW_VIEW(
VIEW_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
TABLE_ID DECIMAL(38,0),
VIEW_TYPE DECIMAL(5, 0),
NAME NVARCHAR(100),
CREATED_DATE DATETIME)
;


if not exists (select name from sysobjects where name = 'LSW_USR_XREF')
CREATE  TABLE LSW_USR_XREF(
USER_ID DECIMAL(38,0) NOT NULL,
USER_NAME NVARCHAR(64) NOT NULL,
PROVIDER NVARCHAR(128))
;


if not exists (select name from sysobjects where name = 'LSW_DATA_TRANSFER_ERRORS')
CREATE  TABLE LSW_DATA_TRANSFER_ERRORS(
DATA_TRANSFER_ERRORS_ID NVARCHAR(64) NOT NULL,
TIME_CLAIMED DATETIME,
CLAIMED_BY NVARCHAR(64),
REPROCESS NCHAR(1),
TIME_OF_ERROR DATETIME,
ERROR NTEXT,
DATA IMAGE NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_OPTIMIZER_DATA')
CREATE  TABLE LSW_OPTIMIZER_DATA(
TRACKING_POINT_VALUE_ID DECIMAL(38,0) NOT NULL,
TRACKED_FIELD_ID DECIMAL(38,0) NOT NULL,
NUMBER_VALUE DECIMAL(31, 6),
DATE_VALUE DATETIME,
STRING_VALUE NVARCHAR(255))
;


if not exists (select name from sysobjects where name = 'LSW_USER_MAPPINGS')
CREATE  TABLE LSW_USER_MAPPINGS(
SYSTEM_ID DECIMAL(38,0) NOT NULL,
USER_ID DECIMAL(38,0) NOT NULL,
USERNAME NVARCHAR(64) NOT NULL)
;


if not exists (select name from sysobjects where name = 'LSW_SYSTEM_SCHEMA')
CREATE  TABLE LSW_SYSTEM_SCHEMA(
PROPNAME NVARCHAR(50) NOT NULL,
PROPVALUE NVARCHAR(50))
;


if not exists (select name from sysobjects where name = 'LSW_TABLE')
CREATE  TABLE LSW_TABLE(
TABLE_ID DECIMAL(38,0) NOT NULL,
SYSTEM_ID DECIMAL(38,0) NOT NULL,
TRACKING_GROUP_NAME NVARCHAR(64) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
ARCHIVED DATETIME,
VERSION DECIMAL(38,0),
LAST_MODIFIED_BY_USER_ID DECIMAL(38,0),
LAST_MODIFIED DATETIME,
TABLE_NAME NVARCHAR(100),
REP_STATUS DECIMAL(2, 0),
REP_ACTION DECIMAL(2, 0),
NEW_TABLE_NAME NVARCHAR(100),
NEW_CONSTR_PREFIX NVARCHAR(14))
;


if not exists (select name from sysobjects where name = 'LSW_COLUMN')
CREATE  TABLE LSW_COLUMN(
COLUMN_ID DECIMAL(38,0) NOT NULL,
TABLE_ID DECIMAL(38,0) NOT NULL,
TRACKED_FIELD_NAME NVARCHAR(64) NOT NULL,
EXTERNAL_UNIQUE_ID NVARCHAR(64),
FIELD_TYPE DECIMAL(2, 0) NOT NULL,
ARCHIVED DATETIME,
COLUMN_NAME NVARCHAR(100),
ALLOCATED DATETIME,
NEW_COLUMN_NAME NVARCHAR(100),
NEW_FIELD_TYPE DECIMAL(2, 0))
;


if not exists (select name from sysobjects where name = 'LSW_SNAPSHOT')
CREATE  TABLE LSW_SNAPSHOT(
SNAPSHOT_ID UNIQUEIDENTIFIER NOT NULL,
NAME NVARCHAR(64),
DESCRIPTION NTEXT,
SHORT_NAME NVARCHAR(64),
ARCHIVED DATETIME)
;


if not exists (select name from sysobjects where name = 'WLC_WLSTORE_PK' )     
ALTER TABLE PS_WLSTORE ADD CONSTRAINT WLC_WLSTORE_PK
    PRIMARY KEY(ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_SYSTEM_PK' )     
ALTER TABLE LSW_SYSTEM ADD CONSTRAINT LSWC_SYSTEM_PK
    PRIMARY KEY(SYSTEM_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGGRP_PK' )     
ALTER TABLE LSW_TRACKING_GROUP ADD CONSTRAINT LSWC_TRCKNGGRP_PK
    PRIMARY KEY(TRACKING_GROUP_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPNT_PK' )     
ALTER TABLE LSW_TRACKING_POINT ADD CONSTRAINT LSWC_TRCKNGPNT_PK
    PRIMARY KEY(TRACKING_POINT_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKDFELD_PK' )     
ALTER TABLE LSW_TRACKED_FIELD ADD CONSTRAINT LSWC_TRCKDFELD_PK
    PRIMARY KEY(TRACKED_FIELD_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKFLDUS_PK' )     
ALTER TABLE LSW_TRACKED_FIELD_USE ADD CONSTRAINT LSWC_TRCKFLDUS_PK
    PRIMARY KEY(TRACKED_FIELD_USE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRVL_PK' )     
ALTER TABLE LSW_TIMING_INTERVAL ADD CONSTRAINT LSWC_TMNGNTRVL_PK
    PRIMARY KEY(TIMING_INTERVAL_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRVBD_PK' )     
ALTER TABLE LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT LSWC_TMNGNTRVBD_PK
    PRIMARY KEY(TIMING_INTERVAL_BOUND_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TASK_PK' )     
ALTER TABLE LSW_TASK ADD CONSTRAINT LSWC_TASK_PK
    PRIMARY KEY(TASK_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRVLL_PK' )     
ALTER TABLE LSW_TIMING_INTERVAL_VALUE ADD CONSTRAINT LSWC_TMNGNTRVLL_PK
    PRIMARY KEY(TIMING_INTERVAL_VALUE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPNTL_PK' )     
ALTER TABLE LSW_TRACKING_POINT_VALUE ADD CONSTRAINT LSWC_TRCKNGPNTL_PK
    PRIMARY KEY(TRACKING_POINT_VALUE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_PRI_KEY_PK' )     
ALTER TABLE LSW_PRI_KEY ADD CONSTRAINT LSWC_PRI_KEY_PK
    PRIMARY KEY(TABLE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_LOADTRACE_PK' )     
ALTER TABLE LSW_LOAD_TRACE ADD CONSTRAINT LSWC_LOADTRACE_PK
    PRIMARY KEY(LOAD_TRACE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_VIEW_PK' )     
ALTER TABLE LSW_VIEW ADD CONSTRAINT LSWC_VIEW_PK
    PRIMARY KEY(VIEW_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_UXREF_PK' )     
ALTER TABLE LSW_USR_XREF ADD CONSTRAINT LSWC_UXREF_PK
    PRIMARY KEY(USER_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_DT_ERR_PK' )     
ALTER TABLE LSW_DATA_TRANSFER_ERRORS ADD CONSTRAINT LSWC_DT_ERR_PK
    PRIMARY KEY(DATA_TRANSFER_ERRORS_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_OPTDATA_PK' )     
ALTER TABLE LSW_OPTIMIZER_DATA ADD CONSTRAINT LSWC_OPTDATA_PK
    PRIMARY KEY(TRACKING_POINT_VALUE_ID ,TRACKED_FIELD_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_USERMAP_PK' )     
ALTER TABLE LSW_USER_MAPPINGS ADD CONSTRAINT LSWC_USERMAP_PK
    PRIMARY KEY(USER_ID ,SYSTEM_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_SYSSCHEMA_PK' )     
ALTER TABLE LSW_SYSTEM_SCHEMA ADD CONSTRAINT LSWC_SYSSCHEMA_PK
    PRIMARY KEY(PROPNAME ) 
;


if not exists (select name from sysobjects where name = 'LSWC_TABLE_PK' )     
ALTER TABLE LSW_TABLE ADD CONSTRAINT LSWC_TABLE_PK
    PRIMARY KEY(TABLE_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_COLUMN_PK' )     
ALTER TABLE LSW_COLUMN ADD CONSTRAINT LSWC_COLUMN_PK
    PRIMARY KEY(COLUMN_ID ) 
;


if not exists (select name from sysobjects where name = 'LSWC_SNAPSHOT_PK' )     
ALTER TABLE LSW_SNAPSHOT ADD CONSTRAINT LSWC_SNAPSHOT_PK
    PRIMARY KEY(SNAPSHOT_ID ) 
;


if not exists (select name from sys.indexes where name = 'LSWC_SYSTEM_UQ0' )
CREATE UNIQUE INDEX LSWC_SYSTEM_UQ0 ON LSW_SYSTEM(NAME)

;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGGRP_FK1' )
ALTER TABLE LSW_TRACKING_GROUP ADD CONSTRAINT LSWC_TRCKNGGRP_FK1
	FOREIGN KEY(SYSTEM_ID)
	REFERENCES LSW_SYSTEM(SYSTEM_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGGRP_UQ1' )
CREATE UNIQUE INDEX LSWC_TRCKNGGRP_UQ1 ON LSW_TRACKING_GROUP(SYSTEM_ID,EXTERNAL_UNIQUE_ID,SNAPSHOT_ID)

;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGGRP_NQ1' )
CREATE INDEX LSWC_TRCKNGGRP_NQ1 ON LSW_TRACKING_GROUP(SYSTEM_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPNT_FK0' )
ALTER TABLE LSW_TRACKING_POINT ADD CONSTRAINT LSWC_TRCKNGPNT_FK0
	FOREIGN KEY(TRACKING_GROUP_ID)
	REFERENCES LSW_TRACKING_GROUP(TRACKING_GROUP_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPNT_UQ1' )
CREATE UNIQUE INDEX LSWC_TRCKNGPNT_UQ1 ON LSW_TRACKING_POINT(SYSTEM_ID,EXTERNAL_UNIQUE_ID,SNAPSHOT_ID)

;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPNT_NQ0' )
CREATE INDEX LSWC_TRCKNGPNT_NQ0 ON LSW_TRACKING_POINT(TRACKING_GROUP_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKDFELD_FK0' )
ALTER TABLE LSW_TRACKED_FIELD ADD CONSTRAINT LSWC_TRCKDFELD_FK0
	FOREIGN KEY(TRACKING_GROUP_ID)
	REFERENCES LSW_TRACKING_GROUP(TRACKING_GROUP_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKDFELD_UQ0' )
CREATE UNIQUE INDEX LSWC_TRCKDFELD_UQ0 ON LSW_TRACKED_FIELD(TRACKING_GROUP_ID,EXTERNAL_UNIQUE_ID,SNAPSHOT_ID)

;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKDFELD_NQ0' )
CREATE INDEX LSWC_TRCKDFELD_NQ0 ON LSW_TRACKED_FIELD(TRACKING_GROUP_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKFLDUS_FK0' )
ALTER TABLE LSW_TRACKED_FIELD_USE ADD CONSTRAINT LSWC_TRCKFLDUS_FK0
	FOREIGN KEY(TRACKED_FIELD_ID)
	REFERENCES LSW_TRACKED_FIELD(TRACKED_FIELD_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKFLDUS_FK1' )
ALTER TABLE LSW_TRACKED_FIELD_USE ADD CONSTRAINT LSWC_TRCKFLDUS_FK1
	FOREIGN KEY(TRACKING_POINT_ID)
	REFERENCES LSW_TRACKING_POINT(TRACKING_POINT_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKFLDUS_NQ0' )
CREATE INDEX LSWC_TRCKFLDUS_NQ0 ON LSW_TRACKED_FIELD_USE(TRACKED_FIELD_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKFLDUS_NQ1' )
CREATE INDEX LSWC_TRCKFLDUS_NQ1 ON LSW_TRACKED_FIELD_USE(TRACKING_POINT_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRVL_FK1' )
ALTER TABLE LSW_TIMING_INTERVAL ADD CONSTRAINT LSWC_TMNGNTRVL_FK1
	FOREIGN KEY(SYSTEM_ID)
	REFERENCES LSW_SYSTEM(SYSTEM_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTRVL_UQ1' )
CREATE UNIQUE INDEX LSWC_TMNGNTRVL_UQ1 ON LSW_TIMING_INTERVAL(SYSTEM_ID,EXTERNAL_UNIQUE_ID)

;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTRVL_NQ1' )
CREATE INDEX LSWC_TMNGNTRVL_NQ1 ON LSW_TIMING_INTERVAL(SYSTEM_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTVBD_FK0' )
ALTER TABLE LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT LSWC_TMNGNTVBD_FK0
	FOREIGN KEY(TIMING_INTERVAL_ID)
	REFERENCES LSW_TIMING_INTERVAL(TIMING_INTERVAL_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTVBD_FK1' )
ALTER TABLE LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT LSWC_TMNGNTVBD_FK1
	FOREIGN KEY(TRACKING_POINT_ID)
	REFERENCES LSW_TRACKING_POINT(TRACKING_POINT_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTVBD_NQ0' )
CREATE INDEX LSWC_TMNGNTVBD_NQ0 ON LSW_TIMING_INTERVAL_BOUND(TIMING_INTERVAL_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTVBD_NQ1' )
CREATE INDEX LSWC_TMNGNTVBD_NQ1 ON LSW_TIMING_INTERVAL_BOUND(TRACKING_POINT_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TASK_FK0' )
ALTER TABLE LSW_TASK ADD CONSTRAINT LSWC_TASK_FK0
	FOREIGN KEY(SYSTEM_ID)
	REFERENCES LSW_SYSTEM(SYSTEM_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_UQ0' )
CREATE UNIQUE INDEX LSWC_TASK_UQ0 ON LSW_TASK(SYSTEM_TASK_ID,SYSTEM_ID)

;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ0' )
CREATE INDEX LSWC_TASK_NQ0 ON LSW_TASK(SYSTEM_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ1' )
CREATE INDEX LSWC_TASK_NQ1 ON LSW_TASK(IS_INSTANCE) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ2' )
CREATE INDEX LSWC_TASK_NQ2 ON LSW_TASK(FUNCTIONAL_TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ3' )
CREATE INDEX LSWC_TASK_NQ3 ON LSW_TASK(MAX_STEP) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ4' )
CREATE INDEX LSWC_TASK_NQ4 ON LSW_TASK(CREATION_TIME,TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ5' )
CREATE INDEX LSWC_TASK_NQ5 ON LSW_TASK(START_TIME,TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ6' )
CREATE INDEX LSWC_TASK_NQ6 ON LSW_TASK(END_TIME,TASK_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRLL_FK0' )
ALTER TABLE LSW_TIMING_INTERVAL_VALUE ADD CONSTRAINT LSWC_TMNGNTRLL_FK0
	FOREIGN KEY(TIMING_INTERVAL_ID)
	REFERENCES LSW_TIMING_INTERVAL(TIMING_INTERVAL_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TMNGNTRLL_FK1' )
ALTER TABLE LSW_TIMING_INTERVAL_VALUE ADD CONSTRAINT LSWC_TMNGNTRLL_FK1
	FOREIGN KEY(FUNCTIONAL_TASK_ID)
	REFERENCES LSW_TASK(TASK_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTRLL_NQ0' )
CREATE INDEX LSWC_TMNGNTRLL_NQ0 ON LSW_TIMING_INTERVAL_VALUE(TIMING_INTERVAL_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTRLL_NQ1' )
CREATE INDEX LSWC_TMNGNTRLL_NQ1 ON LSW_TIMING_INTERVAL_VALUE(FUNCTIONAL_TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TMNGNTRLL_UQ0' )
CREATE INDEX LSWC_TMNGNTRLL_UQ0 ON LSW_TIMING_INTERVAL_VALUE(TIMING_INTERVAL_ID,START_TRACKING_POINT_VALUE_ID,END_TRACKING_POINT_VALUE_ID) 
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPTL_FK0' )
ALTER TABLE LSW_TRACKING_POINT_VALUE ADD CONSTRAINT LSWC_TRCKNGPTL_FK0
	FOREIGN KEY(TRACKING_POINT_ID)
	REFERENCES LSW_TRACKING_POINT(TRACKING_POINT_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPTL_FK1' )
ALTER TABLE LSW_TRACKING_POINT_VALUE ADD CONSTRAINT LSWC_TRCKNGPTL_FK1
	FOREIGN KEY(TASK_ID)
	REFERENCES LSW_TASK(TASK_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPTL_FK2' )
ALTER TABLE LSW_TRACKING_POINT_VALUE ADD CONSTRAINT LSWC_TRCKNGPTL_FK2
	FOREIGN KEY(FUNCTIONAL_TASK_ID)
	REFERENCES LSW_TASK(TASK_ID)
	
;


if not exists (select name from sysobjects where name = 'LSWC_TRCKNGPTL_FK3' )
ALTER TABLE LSW_TRACKING_POINT_VALUE ADD CONSTRAINT LSWC_TRCKNGPTL_FK3
	FOREIGN KEY(TRACKING_GROUP_ID)
	REFERENCES LSW_TRACKING_GROUP(TRACKING_GROUP_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ0' )
CREATE INDEX LSWC_TRCKNGPTL_NQ0 ON LSW_TRACKING_POINT_VALUE(TRACKING_POINT_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ1' )
CREATE INDEX LSWC_TRCKNGPTL_NQ1 ON LSW_TRACKING_POINT_VALUE(TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ2' )
CREATE INDEX LSWC_TRCKNGPTL_NQ2 ON LSW_TRACKING_POINT_VALUE(FUNCTIONAL_TASK_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ3' )
CREATE INDEX LSWC_TRCKNGPTL_NQ3 ON LSW_TRACKING_POINT_VALUE(TRACKING_GROUP_ID,TRACKING_POINT_ID,TRACKING_POINT_VALUE_ID,TIME_STAMP) 
;


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ4' )
CREATE INDEX LSWC_TRCKNGPTL_NQ4 ON LSW_TRACKING_POINT_VALUE(TIME_STAMP,TRACKING_POINT_VALUE_ID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_LDTRACE_NUQ' )
CREATE INDEX LSWC_LDTRACE_NUQ ON LSW_LOAD_TRACE(SYNCHRONIZATION_EUID) 
;


if not exists (select name from sys.indexes where name = 'LSWC_LDTRACE_NUQ1' )
CREATE INDEX LSWC_LDTRACE_NUQ1 ON LSW_LOAD_TRACE(LOAD_TRACE_ID,SYNCHRONIZATION_EUID,LOAD_TYPE,TIME_RECEIVED,TIME_VALIDATED,TIME_LOADED,TIME_DELETED,TIME_REQUEUED,STATUS) 
;


if not exists (select name from sysobjects where name = 'LSWC_VIEW_FK1' )
ALTER TABLE LSW_VIEW ADD CONSTRAINT LSWC_VIEW_FK1
	FOREIGN KEY(TABLE_ID)
	REFERENCES LSW_TABLE(TABLE_ID)
	
;


if not exists (select name from sys.indexes where name = 'LSWC_VIEW_NAME_UQ' )
CREATE UNIQUE INDEX LSWC_VIEW_NAME_UQ ON LSW_VIEW(NAME)

;


if not exists (select name from sys.indexes where name = 'LSWC_UXREF_UQ' )
CREATE UNIQUE INDEX LSWC_UXREF_UQ ON LSW_USR_XREF(USER_NAME,PROVIDER)

;


if not exists (select name from sys.indexes where name = 'LSWC_DT_ERR_NUQ' )
CREATE INDEX LSWC_DT_ERR_NUQ ON LSW_DATA_TRANSFER_ERRORS(CLAIMED_BY,REPROCESS) 
;


if not exists (select name from sysobjects where name = 'LSWC_COLUMN_FK1' )
ALTER TABLE LSW_COLUMN ADD CONSTRAINT LSWC_COLUMN_FK1
	FOREIGN KEY(TABLE_ID)
	REFERENCES LSW_TABLE(TABLE_ID)
	
;

    
IF (NOT EXISTS ( SELECT 1 FROM LSW_SYSTEM_SCHEMA WHERE PROPNAME = 'DatabaseSchemaVersion'))
      INSERT INTO LSW_SYSTEM_SCHEMA(PROPNAME,
 PROPVALUE) 
VALUES ('DatabaseSchemaVersion',
 '8.0.1')
;

