#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

from java.lang import System, String
import sys
import shutil

print "*************************************************************************************"
print "start: init"
print ""

fileSeparator = System.getProperty("file.separator");
configUtilsScript = System.getProperty("was.install.root") + fileSeparator + "util" + fileSeparator + "config" + fileSeparator + "admin" + fileSeparator + "configUtils.py"
print "load configuration utils from ", configUtilsScript
execfile(configUtilsScript);

print ""
print "end: init"


def CreateBPMUserAuthAliases():
    global adminUserName, adminPassword;

    createAuthAlias("BPMPrimaryAdmin_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for BPM Primary Administrator" );

    print ""
    print "Processed BPM Primary Admin Auth Alias "
    print ""
    
    createAuthAlias("BPMAdmin_Auth_Alias", "tw_admin", adminPassword, "Authentication Alias for BPM Admin" );

    print ""
    print "Processed  Admin Auth Alias "
    print ""
   
    createAuthAlias("BPMAuthor_Auth_Alias", "tw_author", adminPassword, "Authentication Alias for BPM Author" );
	
    print ""
    print "Processed BPM Author Auth Alias "
    print ""
    
    createAuthAlias("BPMUser_Auth_Alias", "tw_user", adminPassword, "Authentication Alias for BPM User" );
    
    print ""
    print "Processed BPM User Auth Alias "
    print ""
    
    createAuthAlias("BPMWebservice_Auth_Alias", "tw_webservice", adminPassword, "Authentication Alias for Anyonymous Webservice User" );
    
    print ""
    print "Processed BPM Webservice Auth Alias "
    print ""
    
    #ralUpdate.py also needs to be removed.
    createAuthAlias("RALSecurity_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for RAL User" );
    
    print ""
    print "Processed BPM RAL Security Auth Alias "
    print ""

#endDef

def CreateSCAAuthAliases():
    global adminUserName, adminPassword;

    createAuthAlias("SCASYSME00_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for SCASYSME" );

    print ""
    print "Processed SCASYSME Auth Alias "
    print ""
    
    createAuthAlias("SCAAPPME00_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for SCAAPPME" );

    print ""
    print "Processed SCAAPPME Auth Alias "
    print ""

#endDef

#*******************************************************************************************************
# main
#*******************************************************************************************************
print "*************************************************************************************"
print "Start: Configure BPM Administrative Authentication Aliases for Upgrade"
print ""
print ""


try:
        cellType = getCellType();
	adminUserName = System.getProperty("bpm.upgrade.username");
        print "The value of adminUserName is " + adminUserName
	adminPassword = System.getProperty("bpm.upgrade.password");

        previousVersion = System.getProperty("bpm.upgrade.previous.version");
	print "Previous Version of the profile " + previousVersion;


	twoDigMajor = getTwoDigitMajorVersion(previousVersion);
	if(compareVersions(twoDigMajor, "7.5") == "True") :
		raise Warning;     	

	if (isEmptyString(adminUserName) == "True"):
                adminUserName = "admin";
                print "The value of adminUserName is set to default ", adminUserName

        if (isEmptyString(adminPassword) == "True"):
                adminPassword = "admin";
                print "The value of adminPassword is set to default value"

        if (cellType == "STANDALONE"):
                print "Configuring stand-alone profile."
                print ""

                CreateBPMUserAuthAliases()
                
                CreateSCAAuthAliases()
                    
                AdminConfig.save();

                print ""
                print "*************************************************************************************"
                print "BPM Administrative Authentication Aliases is complete for Upgrade."
                print "*************************************************************************************"
                print ""

        elif (cellType == "DISTRIBUTED"):
                print "Updating the distributed (dmgr or customized) profile"
                # check whether the local node is a deployment manager Node
                isDMgrNode = isDMgrNode();

                if (isDMgrNode != "False"):
		    migratedClusterName = System.getProperty("bpm.upgrade.cluster.name");
                    print ""
                    print "The value of migratedClusterName is ", migratedClusterName;
                    if not (migratedClusterName) or (isEmptyString(migratedClusterName) == "True"):
                        CreateBPMUserAuthAliases()
                        AdminConfig.save();
                    else:
                        print "BPM Administrative Authetication Alias configuration is not needed for migrating cluster"

                print ""
                print "*************************************************************************************"
                print "BPM Administrative Authentication Aliases configuration is complete for Upgrade."
                print "*************************************************************************************"
                print ""

        else:
                print "The distributed custom profile does not need BPM Administrative auth alias configuration for Upgrade."

except Warning:
        print "BPM Version is greater than or equal to 7.5";
        print "BPM Administrative Authetication Alias configuration is not needed";
except:
        print ""
        print "*************************************************************************************"
        print "BPM Administrative auth alias configuration for Upgrade could not be completed. The exception type is: ", sys.exc_type, ". The exception description is: ", sys.exc_value
        print "*************************************************************************************"
        print ""
        # rethrow the exception so the calling Ant script fails and eventually results in INSTCONFFAILED instead of INSTCONFSUCCESS
        raise

print ""
print "End: Configure BPM Administrative Authentication Aliases for Upgrade"
print "*************************************************************************************"

